Web.Project_MVC/Models/ErrorViewModel.cs
using System;

namespace Web.Project_MVC.Models
{
    public class ErrorViewModel
    {
        public string RequestId { get; set; }

        public bool ShowRequestId => !string.IsNullOrEmpty(RequestId);
    }
}

Web.Project_MVC/Models/Konys.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Web.Project_MVC.Models
{
    public class Konys
    {
        public double h { get; set; }
        public double R { get; set; }
        public double r1 { get; set; }
        public double V { get; set; }

        public const double Pi = 3.14;

    }
}

Web.Project_MVC/Controllers/HomeController.cs
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Web.Project_MVC.Models;

namespace Web.Project_MVC.Controllers
{
    public class HomeController : Controller
    {
        private readonly ILogger<HomeController> _logger;

        public HomeController(ILogger<HomeController> logger)
        {
            _logger = logger;
        }

        public IActionResult Index()
        {
            return View();
        }

        public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}

Web.Project_MVC/Controllers/KonysController.cs
using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using TRPO_Lab3.Lib;
using Web.Project_MVC.Models;

namespace Web.Project_MVC.Controllers
{
    public class KonysController : Controller
    {
        public IActionResult Konys([FromQuery] Konys request)
        {
            request.V = TRPO_Lab3.Lib.Formules.Konys(request.r1, request.R, request.h);
            return View(request);
        }
    }
}

Web.Project_MVC/Views/Home/Index.cshtml
@{
    ViewData["Title"] = "Home Page";
}

<div class="text-center">
    <h1 class="display-4">Welcome</h1>
    <p>Learn about <a href="https://docs.microsoft.com/aspnet/core">building Web apps with ASP.NET Core</a>.</p>
</div>

Web.Project_MVC/Views/Konys/Konys.cshtml
@model Web.Project_MVC.Models.Konys
@{
}

<html>
<head>
    <title>Конус</title>

</head>
<body>
    <h1>Расчёт объёма усечённого конуса</h1>
    <form class="row" action="/Konys/Konys" align="center">
        <div class="form-group">
            <label for="h">Высота</label>
            <input name="h" type="number" autocomplete="off" min="0" class="form-control" id="h" value="@Model.h" />
        </div>
        <div class="form-group">
            <label for="R">Верхний радиус</label>
            <input name="R" type="number" autocomplete="off" min="0" class="form-control" id="R" value="@Model.R" />
        </div>
        <div class="form-group">
            <label for="r">Нижний радиус</label>
            <input name="r1" type="number" autocomplete="off" min="0" class="form-control" id="r1" value="@Model.r1" />
        </div>
        <div class="form-group">
            <label for="V">Объём</label>
            <input type="text" readonly min="0" class="form-control" id="V" value="@Model.V" />
        </div>
        <div align="center">
            <button type="submit" style="border: 5px" class="btn btn-default" autofocus id="volume">Рассчитать</button>
        </div>
    </form>
</body>
</html>

Web.Project_MVC/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - Web.Project_MVC</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/site.css" />
</head>
<body>
    <header>
        <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-light bg-white border-bottom box-shadow mb-3">
            <div class="container">
                <a class="navbar-brand" asp-area="" asp-controller="Home" asp-action="Index">Web.Project_MVC</a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="navbar-collapse collapse d-sm-inline-flex flex-sm-row-reverse">
                    <ul class="navbar-nav flex-grow-1">
                        <li class="nav-item">
                            <a class="nav-link text-dark" asp-area="" asp-controller="Konys" asp-action="Konys">Konys</a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </header>
    <div class="container">
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>

    <footer class="border-top footer text-muted">
        <div class="container">
            &copy; 2021 - Web.Project_MVC - <a asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
        </div>
    </footer>
    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
    <script src="~/js/site.js" asp-append-version="true"></script>
    @RenderSection("Scripts", required: false)
</body>
</html>